Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Flags Struct Reference

## Public Member Functions
| Flags ()

## Static Public Member Functions
static Flags | AlsoRunDisabledTests (bool also_run_disabled_tests)
static Flags | BreakOnFailure (bool break_on_failure)
static Flags | CatchExceptions (bool catch_exceptions)
static Flags | DeathTestUseFork (bool death_test_use_fork)
static Flags | Filter (const char *filter)
static Flags | ListTests (bool list_tests)
static Flags | Output (const char *output)
static Flags | PrintTime (bool print_time)
static Flags | RandomSeed (Int32 random_seed)
static Flags | Repeat (Int32 repeat)
static Flags | Shuffle (bool shuffle)
static Flags | StackTraceDepth (Int32 stack_trace_depth)
static Flags | StreamResultTo (const char *stream_result_to)
static Flags | ThrowOnFailure (bool throw_on_failure)

## Public Attributes
bool | also_run_disabled_tests
bool | break_on_failure
bool | catch_exceptions
bool | death_test_use_fork
const char * | filter
bool | list_tests
const char * | output
bool | print_time
Int32 | random_seed
Int32 | repeat
bool | shuffle
Int32 | stack_trace_depth
const char * | stream_result_to
bool | throw_on_failure

## Constructor & Destructor Documentation

Flags | ( |  | ) |
| inline

## Member Function Documentation

static Flags AlsoRunDisabledTests | ( | bool | also_run_disabled_tests | ) |
| inline static

static Flags BreakOnFailure | ( | bool | break_on_failure | ) |
| inline static

static Flags CatchExceptions | ( | bool | catch_exceptions | ) |
| inline static

static Flags DeathTestUseFork | ( | bool | death_test_use_fork | ) |
| inline static

static Flags Filter | ( | const char * | filter | ) |
| inline static

static Flags ListTests | ( | bool | list_tests | ) |
| inline static

static Flags Output | ( | const char * | output | ) |
| inline static

static Flags PrintTime | ( | bool | print_time | ) |
| inline static

static Flags RandomSeed | ( | Int32 | random_seed | ) |
| inline static

static Flags Repeat | ( | Int32 | repeat | ) |
| inline static

static Flags Shuffle | ( | bool | shuffle | ) |
| inline static

static Flags StackTraceDepth | ( | Int32 | stack_trace_depth | ) |
| inline static

static Flags StreamResultTo | ( | const char * | stream_result_to | ) |
| inline static

static Flags ThrowOnFailure | ( | bool | throw_on_failure | ) |
| inline static

## Member Data Documentation

bool also_run_disabled_tests

bool break_on_failure

bool catch_exceptions

bool death_test_use_fork

const char* filter

bool list_tests

const char* output

bool print_time

Int32 random_seed

Int32 repeat

bool shuffle

Int32 stack_trace_depth

const char* stream_result_to

bool throw_on_failure

The documentation for this struct was generated from the following file:

- testing/googleTest/test/gtest_unittest.cc